%define module sqlalchemy-migrate
Name:           python-%{module}
Version:        0.7.1
Release:        %mkrel 1
Summary:        Database schema migration for SQLAlchemy

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/sqlalchemy-migrate
Source0:         http://%{module}.googlecode.com/files/%{module}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:	python-sqlalchemy
BuildRequires:	python-nose
BuildRequires:	python-sphinx
BuildRequires:	python-decorator

Requires:       python-nose >= 0.10
Requires:       python-sqlalchemy >= 0.5
Requires:       python-setuptools
Requires:       python-decorator
Buildarch:	noarch

%description
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in SQLAlchemy projects.

Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python code.

%prep
%setup -q -n %module-%version

%build
CFLAGS="%{optflags}" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT --install-purelib=%{python_sitearch}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc PKG-INFO README docs
%{_bindir}/migrate*
%{python_sitearch}/*





%changelog
* Mon Jul 04 2011 philippem <philippem> 0.7.1-1.mga2
+ Revision: 118419
- imported package python-sqlalchemy-migrate


* Mon Jul 04 2011 Philippe Makowski <philippem@mageia.org> 
- new upstream
- import into Mageia

* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.6.1-1mdv2011.0
+ Revision: 683270
- import python-sqlalchemy-migrate


